> For the complete documentation index, see [llms.txt](https://docs.akashicpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akashicpay.com/secureapi/functions/deposit-url.md).

# Deposit URL

## <mark style="color:blue;">Get Deposit URL</mark>

**Endpoint:** `POST /getDepositUrl`

**Description:** Retrieves a deposit page URL where users can get addresses for multiple currencies.

**Request Parameters:**

<table><thead><tr><th width="164.84765625">Parameter</th><th width="156.015625">Type</th><th width="114.98828125">Required</th><th>Description</th></tr></thead><tbody><tr><td>identifier</td><td>string</td><td>Yes</td><td>UserID or similar identifier</td></tr><tr><td>referenceId</td><td>string</td><td>No</td><td>Optional reference ID to identify the deposit order</td></tr><tr><td>receiveCurrencies</td><td><a href="/pages/r5qf8wh1i4RzCadA5DMR#currency">Currency</a>[]</td><td>No</td><td>Array of currencies to show (e.g., <code>['USDT', 'USDC', 'ETH', 'TRX']</code>)<br><br><strong>Supported currencies</strong>: <code>USDT</code>, <code>USDC</code>, <code>ETH</code>, <code>TRX</code> only</td></tr><tr><td>networks</td><td><a href="/pages/r5qf8wh1i4RzCadA5DMR#networksymbol">NetworkSymbol</a>[] </td><td> No</td><td>Array of networks</td></tr><tr><td>redirectUrl</td><td>string</td><td>No</td><td>Redirect URL after user deposit</td></tr></tbody></table>

Response:

```json
{
  "url": "string"
}

```

## <mark style="color:blue;">Get Deposit URL With Requested Value</mark>

**Endpoint:** `POST /getDepositUrlWithRequestedValue`

**Description:** Retrieves a deposit page URL with a requested value. The first deposit matching the requested value triggers the `referenceId`. Other deposits trigger callbacks without the `referenceId`.

**Request Parameters:**

<table><thead><tr><th width="170.91796875">Parameter</th><th width="168.8125">Type</th><th width="116.6640625">Required</th><th>Description</th></tr></thead><tbody><tr><td>identifier</td><td>string</td><td>Yes</td><td>UserID or similar identifier</td></tr><tr><td>referenceId</td><td>string</td><td>Yes</td><td>Reference ID to identify the deposit order</td></tr><tr><td>requestedCurrency</td><td><a href="/pages/r5qf8wh1i4RzCadA5DMR#currency">Currency</a></td><td>Yes</td><td>Requested currency (e.g., <code>USDT</code>, <code>USD</code>)</td></tr><tr><td>requestedAmount</td><td>string</td><td>Yes</td><td>Requested amount (as a string to avoid precision issues)</td></tr><tr><td>receiveCurrencies</td><td><a href="/pages/r5qf8wh1i4RzCadA5DMR#currency">Currency</a>[]</td><td>No</td><td>Array of currencies to show (e.g., <code>['USDT', 'USDC', 'ETH']</code>)<br><br><strong>Supported currencies</strong>: <code>USDT</code>, <code>USDC</code>,  <code>ETH</code>, <code>TRX</code> only</td></tr><tr><td>networks</td><td><a href="/pages/r5qf8wh1i4RzCadA5DMR#networksymbol">NetworkSymbol</a>[]</td><td>No</td><td>Array of networks</td></tr><tr><td>markupPercentage</td><td>number</td><td>No</td><td>Mark up percentage to be applied on the exchange rate (min: -100, max: 100)</td></tr><tr><td>redirectUrl</td><td>string</td><td>No</td><td>Redirect URL after user deposit</td></tr></tbody></table>

Response:

```json
{
  "url": "string"
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akashicpay.com/secureapi/functions/deposit-url.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
